# Copyright (c) 2000-2006, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global parent maven2
%global subname common-poms

Name:              %{parent}-%{subname}
Version:           1.0
Release:           %mkrel 45
Epoch:             0
Summary:           Common poms for maven2
License:           ASL 2.0 and BSD
Group:             Development/Java
URL:               http://jpackage.org/

# No source location for these. They are ascii files generated from maven
# repositories, and are not in cvs/svn.
Source0:           %{name}-src.tar.xz
Source1:           %{name}-jpp-depmap.xml
Source2:           %{name}-docs.tar.gz

BuildArch:         noarch
BuildRequires:     jpackage-utils >= 0:1.7.2
Requires:          jpackage-utils >= 0:1.7.2

%description
This package is a collection of poms required by various maven2-dependent
packages.

%prep
%setup -q -n %{name}

tar xzf %{SOURCE2}

%build

%install
# Map
install -dm 755 $RPM_BUILD_ROOT%{_mavendepmapdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_mavendepmapdir}/maven2-versionless-depmap.xml

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/maven2
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/default_poms
install -pm 644 *.pom $RPM_BUILD_ROOT%{_datadir}/maven2/default_poms

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/maven2
ln -s %{_datadir}/maven2/default_poms $RPM_BUILD_ROOT%{_javadir}/maven2

%files
%doc APACHE_LICENSE.TXT JSCH_LICENSE.TXT FEDORA.README
%{_mavendepmapdir}/maven2-versionless-depmap.xml
%{_javadir}/maven2
%{_datadir}/maven2



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0:1.0-45.mga3
+ Revision: 359825
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 0:1.0-44.mga3
+ Revision: 324838
- Update plexus and plexus-components to new versions (defines source 1.5).

* Mon Jul 02 2012 dmorgan <dmorgan> 0:1.0-43.mga3
+ Revision: 266639
- Add eclipse orbit relocations needed for jetty

* Tue Jan 03 2012 gil <gil> 0:1.0-42.mga2
+ Revision: 189825
- build fix replaced plexus-maven-plugin with plexus-component-metadata in plexus-components pom

  + dmorgan <dmorgan>
    - From Fedora:
      	- Point wagon-webdav to maven empty dep
      	- Remove more unneeded depmaps.
      	- Delete plugins depmaps -they were pointing to locations which aren't used since Fedora 13.
      	- Even more depmaps removed (>100 lines less).
      	- Remove a lot of ancient things from the depmap (483 lines less).

* Wed Jul 20 2011 dmorgan <dmorgan> 0:1.0-40.mga2
+ Revision: 127024
- Fix groups
- Removed several depmaps and pom files from tarball
- checkstyle
- commons-logging-api
- maven-wagon (except webdav, jackrabbit)
- asm
- objectweb-asm
- avalon-framework
- avalon-logkit
  All of these packages provide their own pom files now

* Tue Jul 19 2011 dmorgan <dmorgan> 0:1.0-38.mga2
+ Revision: 126098
- Revert previous commit ( this is to early)

* Tue Jun 14 2011 dmorgan <dmorgan> 0:1.0-37.mga2
+ Revision: 105981
- Backport from fedora
  	- Remove a lot of ancient things from the depmap (483 lines less )
  	- Even more depmaps removed (>100 lines less).

* Wed Apr 27 2011 dmorgan <dmorgan> 0:1.0-36.mga1
+ Revision: 91880
- Remove ant pom, fix build of maven-pmd-plugin
- imported package maven2-common-poms

